Subject: cut command

From: George Gallen <[email-masked]>
Date: Thu, 17 Feb 2011 16:19:53 -0600

I'm not sure whether this is a bug or not.

On Redhat Enterprise Linux, the cut command will accept the following " cut -c0-5 " (Cut ver 5.97)
On Fedora it will not accept the 0, it must be " cut -c1-5 " (cut ver 8.5)

Although both are functionally the same, they seem to only return 5 characters
The script it was written in worked without problems from Redhat 7.2 to present RHEL
I only noticed the problem with fedora 13 and 14.

I was able to copy the cut command from RHEL to Fedora 14 and it works fine. What am losing
  between these two versions?

Was there a divergence somewhere along the way where cut stopped tolerating the
   the 0 base index?

Thanks

George Gallen
Senior Programmer/Analyst
Accounting/Data Division, EDI Administrator
[email-masked]
ph:856.848.9005 Ext 220
The Wyanoke Group
http://www.wyanokegroup.com